[Qgis-user] [QGIS-LIST] Contour plugin install under OSGEO4W

Benoit de Cabissole cabi at mweb.co.za
Mon Jan 18 04:50:07 EST 2010


Hi Lionel,

Thanks for your reply.


>Lionel Roubeyrie wrote:
> Hi Benoit,
> Have you tried to install shapely windows .exe from the pypi repository?
> http://pypi.python.org/pypi/Shapely

Yes, I've tried. I had Python 2.5 installed as a standalone app with the
shapely .exe installed in its tree. I've removed the standalone python and
all its modules and now the shapely .exe cannot install because there is no
trace of python in the Windows registry anymore! (The windows installer for
python modules seems to look up in the registry to locate the path(s) of the
installed python(s), but OSGEO4W does not show itself in the registry and
I've been unable to find any trick, while running shapely .exe, to go pass
the install screen where you have to select the python tree to install to.)
As I understand it, the OSGEO4W system is a UNIX-like environment (e.g. à la
'msys') and I was thinking that a UNIX-like install is the only way to
install python modules in OSGEO4W?!?

Note that the contour plugin works fine with the standalone versions of QGIS
(1.4 & 1.3) and the standalone version of python. It's only in the OSGEO4W
environment that the pluging fails to install because shapely is not
packaged with OSGEO4W. Question is: can shapely be included in the OSGEO4W
system?

Under OSGEO4W, the alternative would be to use GRASS plugin to do the
contouring?

Benoit


>
> Le 16/01/2010 11:47, Benoit Mweb a écrit :
> > Hi List,
> >
> > I'm trying to install the Contour python plugin under QGIS 1.4 and
> > OSGEO4W on WinXP machine. Problem is that the plugin requires Shapely to
> > be installed in python OSGEO4W. But I have no way to install Shapely: it
> > depends on CTypes that does not seem to be implemented in Python OSGEO4W
> > (when installing Shapely with "Python setup install" I've got an error
> > saying CTypes is needed). And I cannot install CTypes because there is
> > no compiler in the msys install.
> >
> > Does anybody know how to install the Contour plugin under
> OSGEO4W? Thanks.
> >
> > Benoit
> > WinXP - QGIS 1.4 - OSGEO4W
> > _______________________________________________
> > Qgis-user mailing list
> > Qgis-user at lists.osgeo.org
> > http://lists.osgeo.org/mailman/listinfo/qgis-user
> >
> >
>
> --
> Lionel Roubeyrie - lroubeyrie at limair.asso.fr
> Chargé d'études
> LIMAIR - la Surveillance de l'Air en Limousin
> http://www.limair.asso.fr
>
>
>



More information about the Qgis-user mailing list